Subject: Re: [PATCH net-next 3/3] netlink: specs: use exact-len for IPv6 addr

From: Hangbin Liu <[email-masked]>
Date: Sat, 16 Dec 2023 16:48:01 +0800

On Fri, Dec 15, 2023 at 06:09:11PM -0800, Jakub Kicinski wrote:
> On Fri, 15 Dec 2023 11:50:09 +0800 Hangbin Liu wrote:
> > We should use the exact-len instead of min-len for IPv6 address.
> 
> It does make sense, but these families historically used min-len..
> Not sure if it's worth changing this now or we risk regressions.

The addr6 in mptcp.yaml also use exact-len. I don't think the IPv6 address
could be larger than 16 bytes. So the min-len check looks incorrect.

Thanks
Hangbin